curl --request GET \
--url https://platform.spritz.finance/v1/wallet-kit/balances \
--header 'Authorization: Bearer <token>'import requests
url = "https://platform.spritz.finance/v1/wallet-kit/balances"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.spritz.finance/v1/wallet-kit/balances', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"chain": "ethereum",
"tokenAddress": "0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48",
"walletAddress": "0x1234567890abcdef1234567890abcdef12345678",
"symbol": "USDC",
"name": "USD Coin",
"decimals": 6,
"balance": "100.5",
"balanceRaw": "100500000",
"balanceUsd": "100.50",
"price": "1.00",
"tokenImageUrl": "https://assets.example.com/usdc.png"
}
],
"hasMore": false,
"nextCursor": "<string>"
}{
"title": "Unauthorized",
"status": 401,
"type": "urn:problem-type:auth:unauthorized",
"detail": "Bearer token required",
"instance": "<string>",
"realm": "API",
"scope": "read:users"
}{
"title": "Unauthorized",
"status": 400,
"type": "urn:problem-type:auth:unauthorized",
"detail": "<string>",
"instance": "/errors/1234567890",
"code": "transaction_limit",
"field": "amountUsd",
"retryable": true,
"retryAfter": 5,
"suggestedAction": "auto_ramp",
"clearsAt": "2023-11-07T05:31:56Z",
"availableAt": "2023-11-07T05:31:56Z",
"permanent": true
}List wallet token balances
Returns multichain token balances for the supplied on-chain wallet address. Results are cached briefly per address.
Authorizations
User bearer credential: either a Cognito JWT or an ak_ user API key. Backend integrators using HMAC must include the user API key alongside the three HMAC headers on user-scoped endpoints.
Query Parameters
On-chain wallet address to fetch balances for. EVM, Solana, and Sui address formats are supported.
1"0x1234567890abcdef1234567890abcdef12345678"
Response
Paginated list of token balances for the requested on-chain wallet address.
Paginated list of token balances for the requested on-chain wallet address.
Multichain token balances for the requested wallet address.
Show child attributes
Show child attributes
Whether more results are available beyond data. Always false for this resource — the full list is returned in a single response.
false
Opaque pagination cursor. Always null for this resource — the full list is returned in a single response.